<?php
namespace Incoviba\Model;

use Incoviba\Common\Ideal\Model;

class Region extends Model
{
    public string $descripcion;
    public string $numeral;
    public ?int $numeracion;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'descripcion' => $this->descripcion,
            'numeral' => $this->numeral,
            'numeracion' => $this->numeracion ?? 0
        ]);
    }
    public function __toString(): string
    {
        return $this->descripcion;
    }
}
